Net::DNS::RR::HIP(3)

NAME
Net::DNS::RR::HIP - DNS HIP resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN HIP algorithm hit key servers');

DESCRIPTION
Class for DNS Host Identity Protocol (HIP) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  pkalgorithm
    $pkalgorithm = $rr->pkalgorithm;
    $rr->pkalgorithm( $pkalgorithm );

The PK algorithm field indicates the public key cryptographic algorithm and the implied public key field format. The values are those defined for the IPSECKEY algorithm type [RFC4025].

  hit
    $hit = $rr->hit;
    $rr->hit( $hit );

The hexadecimal representation of the host identity tag.

  hitbin
    $hitbin = $rr->hitbin;
    $rr->hitbin( $hitbin );

The binary representation of the host identity tag.

  key
    $key = $rr->key;
    $rr->key( $key );

The hexadecimal representation of the public key.

  keybin
    $keybin = $rr->keybin;
    $rr->keybin( $keybin );

The binary representation of the public key.

  servers
    @servers = $rr->servers;

Optional list of domain names of rendezvous servers.

COPYRIGHT
Copyright (c)2009 Olaf Kolkman, NLnet Labs

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC5205